Subject: Re: bug#43531: Hang after power suspend

From: Ludovic Courtès <[email-masked]>
Date: Mon, 05 Oct 2020 13:58:24 +0200

Jeffrey Walton <[email-masked]> skribis:

> On Wed, Sep 30, 2020 at 1:37 PM Ludovic Courtès <[email-masked]> wrote:
>>
>> Jeffrey Walton <[email-masked]> skribis:
>>
>> > I'm using Guix 1.1 x86_64 in a virtual box VM. I've noticed when the
>> > guest enters "power suspend" state I cannot wake it. The guest stops
>> > responding over SSH and stops accepting UI input. I have to cycle
>> > power to bring it back to life.
>> >
>> > Power settings are:
>> >
>> >   * Blank Screen - 15 minutes
>> >   * Automatic suspend - Off
>> >
>> > I don't see other relevant power settings in the Gnome app.
>>
>> I don’t know what the emulator is doing, but I do know that this works
>> well on the bare metal.  :-)
>>
>> Do you have similar issues with other distros/OSes hanging about suspend
>> in that emulator?
>
> I had no other problems until today.
>
> Today, I installed Ubuntu 20.04 in a VM for testing. It is exhibiting
> similar problems. In the Ubuntu case, it is not hanging. Instead, the
> screen goes black and I cannot get it back; but I can still SSH into
> the Ubuntu machine.

OK.  I’m not sure there’s much we can do on our side—it sounds like an
interaction issue between VirtualBox and the kernel’s power management.
I would close the bug until/unless we have evidence that this is a
Guix-specific issue.

WDYT?

Ludo’.